@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

body {
    font-family: Open Sans;
}

.page-wrapper {
    min-height: 100vh; 
    display: flex;
    flex-direction: column;
}
.page-header {
    background-color: #222;
    color: #fff;
    padding: 10px;
}
.page-content {
    background-color: #eee;
    padding: 10px;
    flex: 1;
    padding: 50px;
}

.page-title {
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 20px;
}

.page-title-sub {
    font-size: 30px;
    font-weight: bold;
    margin: 20px 0 -20px 0;
}

table {
    width: 100%;
    background-color: #fff;
    margin-top: 20px;
}
table, th, td{
    border: solid 1px #333;
}

th {
    background-color: #222;
    color: #fff;
}

tr:nth-child(even) {
    background-color: #eee;
}

th, td {
    padding: 10px;
}

:is(th, td):nth-last-child(-n+3) {
    width: 1%;
    text-wrap: nowrap;
}

a.action-btn {
    text-decoration: none;
    display: block;
    padding: 10px 20px;
    background-color: green;
    color: #fff;
    width: fit-content;
    margin-left: auto;
}

.form-item {
    margin: 1rem 0 1rem 0;
    font-size: 1.2em;
}

form label {
    display: block;
    margin: 1rem 0 .2rem 0;
}
form input, form textarea {
    width: 100%;
    font-size: 1.2em;
}


.userdelete button,
.postdelete button {
    font-size: inherit;
    margin: 0 1em;
}